/* eslint-disable */
export const measuredDataRaw =
  `BatchID\tTime [Days] \tVCC [e6/ml]\tViability [%]\tProduct [g/L]\tGlucose [g/L]
C1\t0\t0,326692\t0,9781\t\t3,264
C1\t3\t2,75587\t0,9345\t\t3,264
C1\t4\t4,513919\t0,959\t\t4,974
C1\t5\t7,149365\t0,9384\t\t5,232
C1\t6\t12,289689\t0,9428\t\t4,929
C1\t7\t12,53551\t0,914\t2,4759\t3,007
C1\t8\t14,622773\t0,9284\t3,2292\t1,452
C1\t9\t15,54185\t0,8832\t3,8168\t3,144
C1\t10\t16,407768\t0,8695\t4,234\t0,799
C1\t11\t14,194846\t0,8193\t5,1788\t4,452
C1\t12\t11,763395\t0,7746\t5,8149\t2,4
C1\t13\t12,357668\t0,8165\t5,95\t2,036
C1\t14\t10,280539\t0,7594\t6,8085\t5,071
C2\t0\t0,427588\t0,9718\t\t6,04
C2\t3\t2,386021\t0,968\t\t
C2\t4\t3,68\t0,953\t\t
C2\t5\t7,276768\t0,9591\t\t6,04
C2\t6\t9,899141\t0,9415\t\t4,85
C2\t7\t8,72\t0,925\t1,16\t4,43
C2\t8\t8,39294\t0,8426\t1,84\t3,12
C2\t9\t8,731534\t0,8806\t2,6\t2,46
C2\t10\t8,596259\t0,8709\t3,15\t4,17
C2\t11\t6,565417\t0,8423\t3,65\t3,67
C2\t12\t6,41908\t0,838\t4,25\t3,33
C2\t13\t5,539459\t0,8049\t4,52\t3,17
C2\t14\t\t0,7917\t4,94\t2,93
C3\t0\t0,318127\t0,9699\t\t5,014
C3\t3\t2,498745\t0,9362\t\t
C3\t4\t4,54184\t0,9484\t\t
C3\t5\t7,77\t0,958\t\t5,014
C3\t6\t11,72587\t0,9468\t\t4,044
C3\t7\t12,335426\t0,9266\t0,8714\t2,432
C3\t8\t15,828809\t0,9243\t1,32\t2,514
C3\t9\t14,960917\t0,8787\t1,98\t1,867
C3\t10\t14,730356\t0,8252\t2,46\t2,182
C3\t11\t13,873166\t0,7622\t2,84\t2,705
C3\t12\t13,170342\t0,6879\t3,22\t3,069
C4\t0\t0,3\t0,966666641\t\t2,406
C4\t3\t5,093220575\t0,914285736\t\t
C4\t4\t\t\t\t
C4\t5\t17,73759924\t0,97726532\t\t2,406
C4\t6\t\t\t\t4,021
C4\t7\t26,18487058\t0,931236877\t0,8811\t1,652
C4\t8\t\t\t1,34\t4,133
C4\t9\t19,80667959\t0,878201752\t1,95\t3,704
C4\t10\t18,89887892\t0,844128494\t2,56\t1,998
C4\t11\t14,6546105\t0,807667313\t3,36\t1,659
C4\t12\t12,55605684\t0,705298004\t4,15\t2,49
C4\t13\t10,37497507\t0,661156998\t4,82\t2,287
C5\t0\t0,280141\t0,8673\t\t2,628
C5\t3\t1,706579\t0,8838\t\t
C5\t4\t2,844386\t0,9114\t\t2,628
C5\t5\t4,33\t0,882\t\t4,01
C5\t6\t7,175733\t0,9197\t\t5,042
C5\t7\t8,621276\t0,892\t0,4152\t4,961
C5\t8\t9,93687\t0,8631\t0,5682\t4,236
C5\t9\t10,95948\t0,84\t0,8228\t2,938
C5\t10\t10,395603\t0,7849\t0,962\t3,591
C5\t11\t10,593792\t0,7078\t1,2549\t3,385
C5\t12\t8,193268\t0,5656\t1,6507\t3,487
C6\t0\t0,390819\t0,980879517\t\t2,987
C6\t3\t4,575234\t0,9608\t\t2,987
C6\t4\t7,903368\t0,9651\t\t4,263
C6\t5\t14,587014\t0,9547\t\t3,615
C6\t6\t23,589472\t0,9598\t\t1,511
C6\t7\t25,75855\t0,9591\t0,7436\t1,81
C6\t8\t25,539345\t0,9356\t1,06\t1,521
C6\t9\t23,012219\t0,9332\t1,47\t2,186
C6\t10\t21,354115\t0,9328\t1,99\t1,919
C6\t11\t15,554077\t0,8768\t2,11\t2,633
C6\t12\t12,10519\t0,802\t2,69\t4,507
C6\t13\t9,907955\t0,7036\t2,94\t4,333
C6\t14\t6,07435\t0,6158\t3,08\t4,462
C7\t0\t0,317334\t0,983638077\t\t2,267
C7\t3\t5,958847\t0,9619\t\t2,267
C7\t4\t10,24301\t0,9653\t\t2,747
C7\t5\t18,059026\t0,9603\t\t0,968
C7\t6\t24,264706\t0,9653\t\t1,267
C7\t7\t22,573631\t0,9514\t0,7639\t2,067
C7\t8\t22,079106\t0,9362\t1,03\t2,279
C7\t9\t21,232898\t0,9429\t1,45\t2,558
C7\t10\t16,158168\t0,9125\t1,6\t2,866
C7\t11\t13,928502\t0,8836\t1,9\t2,175
C7\t12\t9,248783\t0,7775\t2,3\t5,259
C7\t13\t4,811112\t0,6266\t2,33\t5,419
C8\t0\t0,359611\t0,973187103\t\t2,434
C8\t3\t3,680277\t0,9463\t\t2,434
C8\t4\t6,602056\t0,9442\t\t3,973
C8\t5\t10,841849\t0,9436\t\t3,956
C8\t6\t13,659616\t0,9464\t\t2,82
C8\t7\t14,719076\t0,9091\t0,9032\t2,799
C8\t8\t14,488855\t0,9166\t1,64\t2,39
C8\t9\t12,862876\t0,9071\t2,41\t2,498
C8\t10\t8,919133\t0,804\t2,86\t3,736
C8\t11\t7,886534\t0,7655\t3,28\t3,371
C8\t12\t7,117631\t0,7389\t3,82\t4,887
C8\t13\t6,448101\t0,743\t3,93\t4,784
C8\t14\t5,777661\t0,6939\t4,25\t4,376
C9\t0\t0,458759\t0,972148514\t\t2,807
C9\t3\t3,322765\t0,9453\t\t2,807
C9\t4\t5,997484\t0,9496\t\t4,222
C9\t5\t8,600832\t0,9332\t\t4,349
C9\t6\t12,912307\t0,934\t\t2,767
C9\t7\t12,346902\t0,8999\t1,49\t2,772
C9\t8\t13,236363\t0,9305\t2,46\t2,395
C9\t9\t10,99576\t0,8961\t3,39\t2,43
C9\t10\t10,292193\t0,9259\t4,86\t2,067
C9\t11\t9,611547\t0,8947\t5,75\t3,162
C9\t12\t7,755101\t0,8385\t6,54\t2,248
C9\t13\t6,458774\t0,7666\t7,52\t3,631
C9\t14\t5,349537\t0,6802\t7,65\t2,775
`.replace(/\,/gi, '.');

const [columnsNames, ...rows] = measuredDataRaw
  .split('\n')
  .map((row) => row.split('\t'));

const mapColumnNameToRawColumnName = {
  [columnsNames[0]]: 'batchId',
  [columnsNames[1]]: 'days',
  [columnsNames[2]]: 'viableCellDensity',
  [columnsNames[3]]: 'viability'
};
export const measuredData = rows.map((row) =>
  row.reduce((acc, row, rowIdx) => {
    const columnsName =
      mapColumnNameToRawColumnName[columnsNames[rowIdx]] ||
      columnsNames[rowIdx];
    return {
      ...acc,
      [columnsName]: Boolean(row) && rowIdx !== 0 ? parseFloat(row) : row
    };
  }, {})
);
